from setuptools import setup

import isddc as i

setup(
    name='isddc',
    version=i.__version__,
    author='竹永康',
    author_email='zhuyk4@lenovo.com',
    # description='Null',
    # long_description=open('README.rst').read(),
    license='MIT',
    url='http://www.gqylpy.com',
    packages=['isddc'],
    install_requires=[
        'PyYAML>=5.1.2',
        # 'dbutils>=2.0',
        # 'pykafka>=2.8.0',
        # 'PyMySQL>=0.9.3',
        # 'influxdb>=5.2.3',
        # 'pymongo>=3.11.0',
        # 'paramiko>=2.6.0',
        # 'requests>=2.25.0',
        # 'aliyun-python-sdk-core>=2.13.13',
    ],
    classifiers=[
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'Topic :: Text Processing :: Indexing',
        'Topic :: Utilities',
        'Topic :: Internet',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
    ]
)

"""
python build.py
python setup.py sdist
python setup.py sdist upload -r pypi
"""
